﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RegExStudio.RegExStudioEventArgs
{
    /// <summary>
    /// Wenn das Ergebniscontrol das Ereignis schickt um einen Teil des Input Strings zu markieren
    /// </summary>
    public class GoToSelectionEventArgs : EventArgs
    {
        private int _index = 0;
        /// <summary>
        /// Die Startposition der markierung
        /// </summary>
        public int Index
        {
            get { return _index; }
        }

        private int _length = 0;
        /// <summary>
        /// Die Länge der markierung
        /// </summary>
        public int Length
        {
            get { return _length; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="index">Die Startposition der markierung</param>
        /// <param name="length">Die Länge der markierung</param>
        public GoToSelectionEventArgs(int index, int length)
        {
            _index = index;
            _length = length;
        }
    }
}
